
Summary: Distributed SSL session cache
Name: distcache
Version: 0.4.2
Release: 9.3
License: LGPL
Group: System Environment/Daemons
URL: http://www.distcache.org/
Source0: %{name}-%{version}.tar.bz2
Source1: dc_server.init
Source2: dc_client.init
Patch0: distcache-0.4.2-setuid.patch
Patch1: distcache-0.4.2-multiplex.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: automake >= 1.6, autoconf >= 2.50, libtool
Requires: /sbin/chkconfig

%description
The distcache package provides a variety of functionality for
enabling a network-based session caching system, primarily for
(though not restricted to) SSL/TLS session caching.

%package devel
Group: Development/Libraries
Summary: Development tools for distcache distributed session cache
Requires: distcache = %{version}

%description devel
This package includes the libraries that implement the necessary
network functionality, the session caching protocol, and APIs for
applications wishing to use a distributed session cache, or indeed
even to implement a storage mechanism for a session cache server.

%prep
%setup -q
%patch0 -p1 -b .setuid
%patch1 -p1 -b .multiplex

%build
libtoolize --force --copy && aclocal && 
  autoheader && autoconf && automake --add-missing --foreign
%configure CFLAGS="-fPIC $RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
install -m 755 $RPM_SOURCE_DIR/dc_server.init \
        $RPM_BUILD_ROOT%{_sysconfdir}/init.d/dc_server
install -m 755 $RPM_SOURCE_DIR/dc_client.init \
        $RPM_BUILD_ROOT%{_sysconfdir}/init.d/dc_client

mkdir -p $RPM_BUILD_ROOT%{_sbindir}

%post
/sbin/chkconfig --add dc_server
/sbin/chkconfig --add dc_client

%preun
if [ $1 = 0 ]; then
	/sbin/service dc_server stop > /dev/null 2>&1
	/sbin/service dc_client stop > /dev/null 2>&1
	/sbin/chkconfig --del dc_server
	/sbin/chkconfig --del dc_client
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/dc_*
%{_sysconfdir}/init.d/dc_*
%doc ANNOUNCE CHANGES README LICENSE FAQ
%{_mandir}/man1/*
%{_mandir}/man8/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/distcache
%{_includedir}/libnal
%{_libdir}/*.a
%{_mandir}/man2/*

%changelog
* Mon Mar  8 2004 Joe Orton <jorton@redhat.com> 0.4.2-9.3
- add multiplexer fix (Geoff Thorpe)

* Wed Mar  3 2004 Joe Orton <jorton@redhat.com> 0.4.2-9.2
- rebuild

* Thu Feb 19 2004 Joe Orton <jorton@redhat.com> 0.4.2-9.1
- rebuild

* Sun Jan 25 2004 Joe Orton <jorton@redhat.com> 0.4.2-9
- add BuildRequires (#114115)
- add config lines to init scripts

* Tue Jan 20 2004 Joe Orton <jorton@redhat.com> 0.4.2-8
- rebuild

* Fri Nov 28 2003 Joe Orton <jorton@redhat.com> 0.4.2-7
- sync with upstream: use -sock{owner,perms} in dc_client

* Wed Nov 26 2003 Joe Orton <jorton@redhat.com> 0.4.2-6
- set socket owner and permissions in dc_client

* Wed Nov 26 2003 Joe Orton <jorton@redhat.com> 0.4.2-5
- rebuild in new environment

* Tue Nov 18 2003 Joe Orton <jorton@redhat.com> 0.4.2-4
- fix %%preun to allow --erase to succeed (#110115)

* Thu Jul 31 2003 Joe Orton <jorton@redhat.com> 0.4.2-3
- add dc_client init script
- pass -sessions to dc_server

* Wed Jul  2 2003 Joe Orton <jorton@redhat.com> 0.4.2-2
- have dc_server drop to 'nobody' user after bind()
- add init script for dc_server
- build everything using -fPIC

* Mon Jun  9 2003 Joe Orton <jorton@redhat.com> 0.4.2-1
- Initial build.

